Module | Spec::Example::BeforeAndAfterHooks
In: | lib/spec/example/before_and_after_hooks.rb

### Methods

after append_after append_before before prepend_after prepend_before remove_after setup teardown

### Public Instance methods

after(*args, &block)

Alias for prepend_after

append_after(*args, &block)

Registers a block to be executed after each example. This method appends `block` to existing after blocks.

append_before(*args, &block)

Registers a block to be executed before each example. This method appends `block` to existing before blocks.

before(*args, &block)

Alias for append_before

prepend_after(*args, &block)

Registers a block to be executed after each example. This method prepends `block` to existing after blocks.

prepend_before(*args, &block)

Registers a block to be executed before each example. This method prepends `block` to existing before blocks.

remove_after(scope, &block)
setup(&block)

Deprecated. Use before(:each)

teardown(&block)

Deprecated. Use after(:each)

[Validate]